## org.gnome.evolution.dataserver.CalendarFactory org.gnome.evolution.dataserver.CalendarFactory — Factory for calendar objects |

## Methods

    OpenCalendar (IN  s source_uid,
                  OUT s object_path);
    OpenTaskList (IN  s source_uid,
                  OUT s object_path);
    OpenMemoList (IN  s source_uid,
                  OUT s object_path);

## Description

This interface provides access to Calendar interfaces.

Since 3.8

## Method Details

### The OpenCalendar() method

    OpenCalendar (IN  s source_uid,
                  OUT s object_path);

Returns the object path of the calendar backend for `uid`.

`IN s `source_uid``: | Unique identifier for a data source
`OUT s `object_path``: | Object path of the calendar backend

Since 3.8

### The OpenTaskList() method

    OpenTaskList (IN  s source_uid,
                  OUT s object_path);

Returns the object path of the task list backend for `uid`.

`IN s `source_uid``: | Unique identifier for a data source
`OUT s `object_path``: | Object path of the task list backend

Since 3.8

### The OpenMemoList() method

    OpenMemoList (IN  s source_uid,
                  OUT s object_path);

Returns the object path of the memo list backend for `uid`.

`IN s `source_uid``: | Unique identifier for a data source
`OUT s `object_path``: | Object path of the memo list backend

Since 3.8